MPD: lib/upnp/Compat.hxx File Reference

MPD 0.20.15

Typedefs | Functions
Compat.hxx File Reference
`#include <upnp.h>`
`#include "Compiler.h"`
Include dependency graph for Compat.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
using | UpnpDiscovery = Upnp_Discovery

## Functions
static gcc_pure int | UpnpDiscovery_get_Expires (const UpnpDiscovery *disco) noexcept
static gcc_pure const char * | UpnpDiscovery_get_DeviceID_cstr (const UpnpDiscovery *disco) noexcept
static gcc_pure const char * | UpnpDiscovery_get_DeviceType_cstr (const UpnpDiscovery *disco) noexcept
static gcc_pure const char * | UpnpDiscovery_get_ServiceType_cstr (const UpnpDiscovery *disco) noexcept
static gcc_pure const char * | UpnpDiscovery_get_Location_cstr (const UpnpDiscovery *disco) noexcept

## Typedef Documentation

## ◆ UpnpDiscovery

using UpnpDiscovery = Upnp_Discovery

Definition at line 28 of file Compat.hxx.

## Function Documentation

## ◆ UpnpDiscovery_get_DeviceID_cstr()

static gcc_pure const char* UpnpDiscovery_get_DeviceID_cstr | ( | const UpnpDiscovery * | disco | ) |
| inlinestaticnoexcept

Definition at line 44 of file Compat.hxx.

## ◆ UpnpDiscovery_get_DeviceType_cstr()

static gcc_pure const char* UpnpDiscovery_get_DeviceType_cstr | ( | const UpnpDiscovery * | disco | ) |
| inlinestaticnoexcept

Definition at line 51 of file Compat.hxx.

## ◆ UpnpDiscovery_get_Expires()

static gcc_pure int UpnpDiscovery_get_Expires | ( | const UpnpDiscovery * | disco | ) |
| inlinestaticnoexcept

Definition at line 37 of file Compat.hxx.

## ◆ UpnpDiscovery_get_Location_cstr()

static gcc_pure const char* UpnpDiscovery_get_Location_cstr | ( | const UpnpDiscovery * | disco | ) |
| inlinestaticnoexcept

Definition at line 65 of file Compat.hxx.

## ◆ UpnpDiscovery_get_ServiceType_cstr()

static gcc_pure const char* UpnpDiscovery_get_ServiceType_cstr | ( | const UpnpDiscovery * | disco | ) |
| inlinestaticnoexcept

Definition at line 58 of file Compat.hxx.